libetonyek::IWORKTextRedirector Class Reference documentation

Public Member Functions | Private Attributes | List of all members
libetonyek::IWORKTextRedirector Class Reference

`#include <IWORKTextRedirector.h>`

Inheritance diagram for libetonyek::IWORKTextRedirector:

## Public Member Functions
| IWORKTextRedirector (librevenge::RVNGTextInterface *iface)
virtual void | setDocumentMetaData (const librevenge::RVNGPropertyList &propList)
virtual void | startDocument (const librevenge::RVNGPropertyList &propList)
virtual void | endDocument ()
virtual void | definePageStyle (const librevenge::RVNGPropertyList &propList)
virtual void | defineEmbeddedFont (const librevenge::RVNGPropertyList &propList)
virtual void | openPageSpan (const librevenge::RVNGPropertyList &propList)
virtual void | closePageSpan ()
virtual void | startSlide (const librevenge::RVNGPropertyList &propList)
virtual void | endSlide ()
virtual void | startMasterSlide (const librevenge::RVNGPropertyList &propList)
virtual void | endMasterSlide ()
virtual void | setStyle (const librevenge::RVNGPropertyList &propList)
virtual void | startLayer (const librevenge::RVNGPropertyList &propList)
virtual void | endLayer ()
virtual void | openHeader (const librevenge::RVNGPropertyList &propList)
virtual void | closeHeader ()
virtual void | openFooter (const librevenge::RVNGPropertyList &propList)
virtual void | closeFooter ()
virtual void | defineParagraphStyle (const librevenge::RVNGPropertyList &propList)
virtual void | openParagraph (const librevenge::RVNGPropertyList &propList)
virtual void | closeParagraph ()
virtual void | defineCharacterStyle (const librevenge::RVNGPropertyList &propList)
virtual void | openSpan (const librevenge::RVNGPropertyList &propList)
virtual void | closeSpan ()
virtual void | openLink (const librevenge::RVNGPropertyList &propList)
virtual void | closeLink ()
virtual void | defineSectionStyle (const librevenge::RVNGPropertyList &propList)
virtual void | openSection (const librevenge::RVNGPropertyList &propList)
virtual void | closeSection ()
virtual void | insertTab ()
virtual void | insertSpace ()
virtual void | insertText (const librevenge::RVNGString &text)
virtual void | insertLineBreak ()
virtual void | insertField (const librevenge::RVNGPropertyList &propList)
virtual void | openOrderedListLevel (const librevenge::RVNGPropertyList &propList)
virtual void | openUnorderedListLevel (const librevenge::RVNGPropertyList &propList)
virtual void | closeOrderedListLevel ()
virtual void | closeUnorderedListLevel ()
virtual void | openListElement (const librevenge::RVNGPropertyList &propList)
virtual void | closeListElement ()
virtual void | openFootnote (const librevenge::RVNGPropertyList &propList)
virtual void | closeFootnote ()
virtual void | openEndnote (const librevenge::RVNGPropertyList &propList)
virtual void | closeEndnote ()
virtual void | openComment (const librevenge::RVNGPropertyList &propList)
virtual void | closeComment ()
virtual void | openTextBox (const librevenge::RVNGPropertyList &propList)
virtual void | closeTextBox ()
virtual void | defineSheetNumberingStyle (const librevenge::RVNGPropertyList &propList)
virtual void | openTable (const librevenge::RVNGPropertyList &propList)
virtual void | openTableRow (const librevenge::RVNGPropertyList &propList)
virtual void | closeTableRow ()
virtual void | openTableCell (const librevenge::RVNGPropertyList &propList)
virtual void | closeTableCell ()
virtual void | insertCoveredTableCell (const librevenge::RVNGPropertyList &propList)
virtual void | closeTable ()
virtual void | openFrame (const librevenge::RVNGPropertyList &propList)
virtual void | closeFrame ()
virtual void | insertBinaryObject (const librevenge::RVNGPropertyList &propList)
virtual void | insertEquation (const librevenge::RVNGPropertyList &propList)
virtual void | openGroup (const librevenge::RVNGPropertyList &propList)
virtual void | closeGroup ()
virtual void | defineGraphicStyle (const librevenge::RVNGPropertyList &propList)
virtual void | drawRectangle (const librevenge::RVNGPropertyList &propList)
virtual void | drawEllipse (const librevenge::RVNGPropertyList &propList)
virtual void | drawPolygon (const librevenge::RVNGPropertyList &propList)
virtual void | drawPolyline (const librevenge::RVNGPropertyList &propList)
virtual void | drawPath (const librevenge::RVNGPropertyList &propList)
virtual void | drawGraphicObject (const librevenge::RVNGPropertyList &propList)
virtual void | drawConnector (const librevenge::RVNGPropertyList &propList)
virtual void | startTextObject (const librevenge::RVNGPropertyList &propList)
virtual void | endTextObject ()
virtual void | startNotes (const librevenge::RVNGPropertyList &propList)
virtual void | endNotes ()
virtual void | defineChartStyle (const librevenge::RVNGPropertyList &propList)
virtual void | openChart (const librevenge::RVNGPropertyList &propList)
virtual void | closeChart ()
virtual void | openChartTextObject (const librevenge::RVNGPropertyList &propList)
virtual void | closeChartTextObject ()
virtual void | openChartPlotArea (const librevenge::RVNGPropertyList &propList)
virtual void | closeChartPlotArea ()
virtual void | insertChartAxis (const librevenge::RVNGPropertyList &propList)
virtual void | openChartSeries (const librevenge::RVNGPropertyList &propList)
virtual void | closeChartSeries ()
virtual void | openAnimationSequence (const librevenge::RVNGPropertyList &propList)
virtual void | closeAnimationSequence ()
virtual void | openAnimationGroup (const librevenge::RVNGPropertyList &propList)
virtual void | closeAnimationGroup ()
virtual void | openAnimationIteration (const librevenge::RVNGPropertyList &propList)
virtual void | closeAnimationIteration ()
virtual void | insertMotionAnimation (const librevenge::RVNGPropertyList &propList)
virtual void | insertColorAnimation (const librevenge::RVNGPropertyList &propList)
virtual void | insertAnimation (const librevenge::RVNGPropertyList &propList)
virtual void | insertEffect (const librevenge::RVNGPropertyList &propList)
Public Member Functions inherited from libetonyek::IWORKDocumentInterface
virtual | ~IWORKDocumentInterface ()=0

## Private Attributes
librevenge::RVNGTextInterface *const | m_iface

## Constructor & Destructor Documentation

## ◆ IWORKTextRedirector()

libetonyek::IWORKTextRedirector::IWORKTextRedirector | ( | librevenge::RVNGTextInterface * | iface | ) |
| explicit

## Member Function Documentation

## ◆ closeAnimationGroup()

void libetonyek::IWORKTextRedirector::closeAnimationGroup | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeAnimationIteration()

void libetonyek::IWORKTextRedirector::closeAnimationIteration | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeAnimationSequence()

void libetonyek::IWORKTextRedirector::closeAnimationSequence | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeChart()

void libetonyek::IWORKTextRedirector::closeChart | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeChartPlotArea()

void libetonyek::IWORKTextRedirector::closeChartPlotArea | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeChartSeries()

void libetonyek::IWORKTextRedirector::closeChartSeries | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeChartTextObject()

void libetonyek::IWORKTextRedirector::closeChartTextObject | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeComment()

void libetonyek::IWORKTextRedirector::closeComment | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeEndnote()

void libetonyek::IWORKTextRedirector::closeEndnote | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeFooter()

void libetonyek::IWORKTextRedirector::closeFooter | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeFootnote()

void libetonyek::IWORKTextRedirector::closeFootnote | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeFrame()

void libetonyek::IWORKTextRedirector::closeFrame | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeGroup()

void libetonyek::IWORKTextRedirector::closeGroup | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeHeader()

void libetonyek::IWORKTextRedirector::closeHeader | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeLink()

void libetonyek::IWORKTextRedirector::closeLink | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeListElement()

void libetonyek::IWORKTextRedirector::closeListElement | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeOrderedListLevel()

void libetonyek::IWORKTextRedirector::closeOrderedListLevel | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closePageSpan()

void libetonyek::IWORKTextRedirector::closePageSpan | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeParagraph()

void libetonyek::IWORKTextRedirector::closeParagraph | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeSection()

void libetonyek::IWORKTextRedirector::closeSection | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeSpan()

void libetonyek::IWORKTextRedirector::closeSpan | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeTable()

void libetonyek::IWORKTextRedirector::closeTable | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeTableCell()

void libetonyek::IWORKTextRedirector::closeTableCell | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeTableRow()

void libetonyek::IWORKTextRedirector::closeTableRow | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeTextBox()

void libetonyek::IWORKTextRedirector::closeTextBox | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeUnorderedListLevel()

void libetonyek::IWORKTextRedirector::closeUnorderedListLevel | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ defineCharacterStyle()

void libetonyek::IWORKTextRedirector::defineCharacterStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ defineChartStyle()

void libetonyek::IWORKTextRedirector::defineChartStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ defineEmbeddedFont()

void libetonyek::IWORKTextRedirector::defineEmbeddedFont | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ defineGraphicStyle()

void libetonyek::IWORKTextRedirector::defineGraphicStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ definePageStyle()

void libetonyek::IWORKTextRedirector::definePageStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ defineParagraphStyle()

void libetonyek::IWORKTextRedirector::defineParagraphStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ defineSectionStyle()

void libetonyek::IWORKTextRedirector::defineSectionStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ defineSheetNumberingStyle()

void libetonyek::IWORKTextRedirector::defineSheetNumberingStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ drawConnector()

void libetonyek::IWORKTextRedirector::drawConnector | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ drawEllipse()

void libetonyek::IWORKTextRedirector::drawEllipse | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ drawGraphicObject()

void libetonyek::IWORKTextRedirector::drawGraphicObject | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ drawPath()

void libetonyek::IWORKTextRedirector::drawPath | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ drawPolygon()

void libetonyek::IWORKTextRedirector::drawPolygon | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ drawPolyline()

void libetonyek::IWORKTextRedirector::drawPolyline | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ drawRectangle()

void libetonyek::IWORKTextRedirector::drawRectangle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ endDocument()

void libetonyek::IWORKTextRedirector::endDocument | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ endLayer()

void libetonyek::IWORKTextRedirector::endLayer | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ endMasterSlide()

void libetonyek::IWORKTextRedirector::endMasterSlide | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ endNotes()

void libetonyek::IWORKTextRedirector::endNotes | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ endSlide()

void libetonyek::IWORKTextRedirector::endSlide | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ endTextObject()

void libetonyek::IWORKTextRedirector::endTextObject | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ insertAnimation()

void libetonyek::IWORKTextRedirector::insertAnimation | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ insertBinaryObject()

void libetonyek::IWORKTextRedirector::insertBinaryObject | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ insertChartAxis()

void libetonyek::IWORKTextRedirector::insertChartAxis | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ insertColorAnimation()

void libetonyek::IWORKTextRedirector::insertColorAnimation | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ insertCoveredTableCell()

void libetonyek::IWORKTextRedirector::insertCoveredTableCell | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ insertEffect()

void libetonyek::IWORKTextRedirector::insertEffect | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ insertEquation()

void libetonyek::IWORKTextRedirector::insertEquation | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ insertField()

void libetonyek::IWORKTextRedirector::insertField | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ insertLineBreak()

void libetonyek::IWORKTextRedirector::insertLineBreak | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ insertMotionAnimation()

void libetonyek::IWORKTextRedirector::insertMotionAnimation | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ insertSpace()

void libetonyek::IWORKTextRedirector::insertSpace | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ insertTab()

void libetonyek::IWORKTextRedirector::insertTab | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ insertText()

void libetonyek::IWORKTextRedirector::insertText | ( | const librevenge::RVNGString & | text | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openAnimationGroup()

void libetonyek::IWORKTextRedirector::openAnimationGroup | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openAnimationIteration()

void libetonyek::IWORKTextRedirector::openAnimationIteration | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openAnimationSequence()

void libetonyek::IWORKTextRedirector::openAnimationSequence | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openChart()

void libetonyek::IWORKTextRedirector::openChart | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openChartPlotArea()

void libetonyek::IWORKTextRedirector::openChartPlotArea | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openChartSeries()

void libetonyek::IWORKTextRedirector::openChartSeries | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openChartTextObject()

void libetonyek::IWORKTextRedirector::openChartTextObject | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openComment()

void libetonyek::IWORKTextRedirector::openComment | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openEndnote()

void libetonyek::IWORKTextRedirector::openEndnote | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openFooter()

void libetonyek::IWORKTextRedirector::openFooter | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openFootnote()

void libetonyek::IWORKTextRedirector::openFootnote | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openFrame()

void libetonyek::IWORKTextRedirector::openFrame | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openGroup()

void libetonyek::IWORKTextRedirector::openGroup | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openHeader()

void libetonyek::IWORKTextRedirector::openHeader | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openLink()

void libetonyek::IWORKTextRedirector::openLink | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openListElement()

void libetonyek::IWORKTextRedirector::openListElement | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openOrderedListLevel()

void libetonyek::IWORKTextRedirector::openOrderedListLevel | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openPageSpan()

void libetonyek::IWORKTextRedirector::openPageSpan | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openParagraph()

void libetonyek::IWORKTextRedirector::openParagraph | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openSection()

void libetonyek::IWORKTextRedirector::openSection | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openSpan()

void libetonyek::IWORKTextRedirector::openSpan | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openTable()

void libetonyek::IWORKTextRedirector::openTable | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openTableCell()

void libetonyek::IWORKTextRedirector::openTableCell | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openTableRow()

void libetonyek::IWORKTextRedirector::openTableRow | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openTextBox()

void libetonyek::IWORKTextRedirector::openTextBox | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openUnorderedListLevel()

void libetonyek::IWORKTextRedirector::openUnorderedListLevel | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ setDocumentMetaData()

void libetonyek::IWORKTextRedirector::setDocumentMetaData | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ setStyle()

void libetonyek::IWORKTextRedirector::setStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ startDocument()

void libetonyek::IWORKTextRedirector::startDocument | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ startLayer()

void libetonyek::IWORKTextRedirector::startLayer | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ startMasterSlide()

void libetonyek::IWORKTextRedirector::startMasterSlide | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ startNotes()

void libetonyek::IWORKTextRedirector::startNotes | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ startSlide()

void libetonyek::IWORKTextRedirector::startSlide | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ startTextObject()

void libetonyek::IWORKTextRedirector::startTextObject | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## Member Data Documentation

## ◆ m_iface

librevenge::RVNGTextInterface* const libetonyek::IWORKTextRedirector::m_iface
| private

Referenced by closeComment(), closeEndnote(), closeFooter(), closeFootnote(), closeFrame(), closeGroup(), closeHeader(), closeLink(), closeListElement(), closeOrderedListLevel(), closePageSpan(), closeParagraph(), closeSection(), closeSpan(), closeTable(), closeTableCell(), closeTableRow(), closeTextBox(), closeUnorderedListLevel(), defineCharacterStyle(), defineEmbeddedFont(), defineGraphicStyle(), definePageStyle(), defineParagraphStyle(), defineSectionStyle(), drawConnector(), drawEllipse(), drawPath(), drawPolygon(), drawPolyline(), drawRectangle(), endDocument(), endTextObject(), insertBinaryObject(), insertCoveredTableCell(), insertEquation(), insertField(), insertLineBreak(), insertSpace(), insertTab(), insertText(), openComment(), openEndnote(), openFooter(), openFootnote(), openFrame(), openGroup(), openHeader(), openLink(), openListElement(), openOrderedListLevel(), openPageSpan(), openParagraph(), openSection(), openSpan(), openTable(), openTableCell(), openTableRow(), openTextBox(), openUnorderedListLevel(), setDocumentMetaData(), setStyle(), startDocument(), and startTextObject().

The documentation for this class was generated from the following files:

- IWORKTextRedirector.h
- IWORKTextRedirector.cpp